; Athena95ex  R}h
; The CMD file.
;
; Two parts: 1. Command definition and  2. State entry
; (state entry is after the commands def section)
;
; 1. Command definition
; ---------------------
; Note: The commands are CASE-SENSITIVE, and so are the command names.
; The eight directions are:
;   B, DB, D, DF, F, UF, U, UB     (all CAPS)
;   corresponding to back, down-back, down, downforward, etc.
; The six buttons are:
;   a, b, c, x, y, z               (all lower case)
;   In default key config, abc are are the bottom, and xyz are on the
;   top row. For 2 button characters, we recommend you use a and b.
;   For 6 button characters, use abc for kicks and xyz for punches.
;
; Each [Command] section defines a command that you can use for
; state entry, as well as in the CNS file.
; The command section should look like:
;
;   [Command]
;   name = "some_name"
;   command = the_command
;   time = time (optional -- defaults to 15 if omitted)
;
; - some_name
;   A name to give that command. You'll use this name to refer to
;   that command in the state entry, as well as the CNS. It is case-
;   sensitive (QCB_a is NOT the same as Qcb_a or QCB_A).
;
; - command
;   list of buttons or directions, separated by commas.
;   Directions and buttons can be preceded by special characters:
;   slash (/) - means the key must be held down
;          egs. command = /D       ;hold the down direction
;               command = /F, a    ;hold fwd while you press a
;   tilde (~) - to detect key releases
;          egs. command = ~a       ;release the a button
;               command = ~D, F, a ;release down, press fwd, then a
;          If you want to detect "charge moves", you can specify
;          the time the key must be held down for (in game-ticks)
;          egs. command = ~30a     ;hold a for at least 30 ticks, then release
;               command = ~30
;   dollar ($) - Direction-only: detect as 4-way
;          egs. command = $D       ;will detect if D, DB or DF is held
;               command = $B       ;will detect if B, DB or UB is held
;   plus (+) - Buttons only: simultaneous press
;          egs. command = a+b      ;press a and b at the same time
;               command = x+y+z    ;press x, y and z at the same time
;   You can combine them:
;     eg. command = ~30$D, a+b     ;hold D, DB or DF for 30 ticks, release,
;                                  ;then press a and b together
;   It's recommended that for most "motion" commads, eg. quarter-circle-fwd,
;   you start off with a "release direction". This matches the way most
;   popular fighting games implement their engine.
;
; - time (optional)
;   Time allowed to do the command, given in game-ticks. Defaults to 15
;   if omitted
;
; If you have two or more commands with the same name, all of them will
; work. You can use it to allow multiple motions for the same move.
;
; Some common commands are given below. Delete, add, or modify as you wish.
;-|AI sw |----------------------------------------------------------------------

[command]
name = "AI_1"
command = D, D, D, D, D, D, D, D
time = 1

[command]
name = "AI_2"
command = D, D, D, D, D, D, D, D
time = 1

[command]
name = "AI_3"
command = D, D, D, D, D, D, D, D
time = 1

[command]
name = "AI_4"
command = z, z, z, z, z, z, z, z
time = 1

[command]
name = "AI_5"
command = z, z, z, z, z, z, z, z
time = 1

[command]
name = "AI_6"
command = z, z, z, z, z, z, z, z
time = 1

[command]
name = "AI_7"
command = B, B, B, B, B, B, B, B
time = 1

[command]
name = "AI_8"
command = B, B, B, B, B, B, B, B
time = 1

[command]
name = "AI_9"
command = B, B, B, B, B, B, B, B
time = 1

[command]
name = "AI_10"
command = x, x, x, x, x, x, x, x
time = 1

[command]
name = "AI_11"
command = x, x, x, x, x, x, x, x
time = 1

[command]
name = "AI_12"
command = x, x, x, x, x, x, x, x
time = 1

[command]
name = "AI_13"
command = U, U, U, U, U, U, U, U
time = 1

[command]
name = "AI_14"
command = U, U, U, U, U, U, U, U
time = 1

[command]
name = "AI_15"
command = U, U, U, U, U, U, U, U
time = 1

[command]
name = "AI_16"
command = a, a, a, a, a, a, a, a
time = 1

[command]
name = "AI_17"
command = a, a, a, a, a, a, a, a
time = 1

[command]
name = "AI_18"
command = a, a, a, a, a, a, a, a
time = 1

[command]
name = "AI_19"
command = F, F, F, F, F, F, F, F
time = 1

[command]
name = "AI_20"
command = F, F, F, F, F, F, F, F
time = 1

[command]
name = "AI_21"
command = F, F, F, F, F, F, F, F
time = 1

[command]
name = "AI_22"
command = b, b, b, b, b, b, b, b
time = 1

[command]
name = "AI_23"
command = b, b, b, b, b, b, b, b
time = 1

[command]
name = "AI_24"
command = b, b, b, b, b, b, b, b
time = 1

[command]
name = "AI_25"
command = y, y, y, y, y, y, y, y
time = 1

[command]
name = "AI_26"
command = y, y, y, y, y, y, y, y
time = 1

[command]
name = "AI_27"
command = y, y, y, y, y, y, y, y
time = 1

[command]
name = "AI_28"
command = s, s, s, s, s, s, s, s
time = 1

[command]
name = "AI_29"
command = s, s, s, s, s, s, s, s
time = 1

[command]
name = "AI_30"
command = s, s, s, s, s, s, s, s
time = 1

;-| Super Motions |--------------------------------------------------------
; 4632147 VCjONX^rbgR}h
;[Command]
;name = "4632147_a"
;command = ~B, F, D, B,  a
;time = 60

;[Command]
;name = "4632147_b"
;command = ~B, F, D, B,  b
;time = 60

[Command]
name = "4632147_c"
command = ~B, F, D, B,  c
time = 60

[Command]
name = "4632147_x"
command = ~B, F, D, B,  x
time = 60

[Command]
name = "4632147_y"
command = ~B, F, D, B,  y
time = 60

[Command]
name = "4632147_z"
command = ~B, F, D, B,  z
time = 60

;-----------------
; 236236 gR}h~Q
[Command]
name = "236236_a"
command = ~D, DF, F, D, DF, F, a
time = 60

[Command]
name = "236236_b"
command = ~D, DF, F, D, DF, F, b
time = 60

[Command]
name = "236236_c"
command = ~D, DF, F, D, DF, F, c
time = 60

[Command]
name = "236236_x"
command = ~D, DF, F, D, DF, F, x
time = 60

[Command]
name = "236236_y"
command = ~D, DF, F, D, DF, F, y
time = 60

[Command]
name = "236236_z"
command = ~D, DF, F, D, DF, F, z
time = 60

;-| Special Motions |------------------------------------------------------
;-----------------
; 236 gR}h
[Command]
name = "236_a"
command = ~D, DF, F, a

[Command]
name = "236_b"
command = ~D, DF, F, b

[Command]
name = "236_c"
command = ~D, DF, F, c

[Command]
name = "236_x"
command = ~D, DF, F, x

[Command]
name = "236_y"
command = ~D, DF, F, y

[Command]
name = "236_z"
command = ~D, DF, F, z

;-----------------
; 214  R}h
[Command]
name = "214_a"
command = ~D, DB, B, a

[Command]
name = "214_b"
command = ~D, DB, B, b

[Command]
name = "214_c"
command = ~D, DB, B, c

[Command]
name = "214_x"
command = ~D, DB, B, x

[Command]
name = "214_y"
command = ~D, DB, B, y

[Command]
name = "214_z"
command = ~D, DB, B, z

;-----------------
; 623  R}h
[Command]
name = "623_a"
command = ~F, D, DF, a

[Command]
name = "623_b"
command = ~F, D, DF, b

[Command]
name = "623_c"
command = ~F, D, DF, c

[Command]
name = "623_x"
command = ~F, D, DF, x

[Command]
name = "623_y"
command = ~F, D, DF, y

[Command]
name = "623_z"
command = ~F, D, DF, z


;-----------------
; 41236  tCR}h
[Command]
name = "41236_a"
command = ~B, D, F, a
time = 30

[Command]
name = "41236_b"
command = ~B, D, F, b
time = 30

[Command]
name = "41236_c"
command = ~B, D, F, c
time = 30

[Command]
name = "41236_x"
command = ~B, D, F, x
time = 30

[Command]
name = "41236_y"
command = ~B, D, F, y
time = 30

[Command]
name = "41236_z"
command = ~B, D, F, z
time = 30


;--------------------
;Charge_Down_up
;[Command]
;name = "chargedownup_a"
;command = ~60$D, U, a
;time = 10
;
;[Command]
;name = "chargedownup_b"
;command = ~60$D, U, b
;time = 10
;
;[Command]
;name = "chargedownup_c"
;command = ~60$D, U, c
;time = 10
;
;[Command]
;name = "chargedownup_x"
;command = ~60$D, U, x
;time = 10
;
;[Command]
;name = "chargedownup_y"
;command = ~60$D, U, y
;time = 10
;
;[Command]
;name = "chargedownup_z"
;command = ~60$D, U, z
;time = 10
;
;--------------------
;Charge_Back_fwd
;[Command]
;name = "chargebackfwd_a"
;command = ~60$B, F, a
;time = 10
;
;[Command]
;name = "chargebackfwd_b"
;command = ~60$B, F, b
;time = 10
;
;[Command]
;name = "chargedownup_c"
;command = ~60$D, U, c
;time = 10
;
;[Command]
;name = "chargedownup_x"
;command = ~60$D, U, x
;time = 10
;
;[Command]
;name = "chargedownup_y"
;command = ~60$D, U, y
;time = 10
;
;[Command]
;name = "chargedownup_z"
;command = ~60$D, U, z
;time = 10


;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF";Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB";Required (do not remove)
command = B, B
time = 10


;-| {^ |---------------------------------------------------------
[Command]
name = "abc"
command = a+b+c
time = 1

[Command]
name = "ab"
command = a+b
time = 1

[Command]
name = "bc"
command = b+c
time = 1

[Command]
name = "ac"
command = a+c
time = 1

[Command]
name = "xyz"
command = x+y+z
time = 1

[Command]
name = "xy"
command = x+y
time = 1

[Command]
name = "yz"
command = y+z
time = 1

[Command]
name = "xz"
command = x+z
time = 1

[Command]
name = "ax"
command = a+x
time = 1

[Command]
name = "by"
command = b+y
time = 1

[Command]
name = "cz"
command = c+z
time = 1

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = a+x
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "fwd_a"
command = /F,a
time = 1

[Command]
name = "fwd_b"
command = /F,b
time = 1

[Command]
name = "fwd_c"
command = /F,c
time = 1

[Command]
name = "fwd_x"
command = /F,x
time = 1

[Command]
name = "fwd_y"
command = /F,y
time = 1

[Command]
name = "fwd_z"
command = /F,z
time = 1

[Command]
name = "back_a"
command = /B,a
time = 1

[Command]
name = "back_b"
command = /B,b
time = 1

[Command]
name = "back_c"
command = /B,c
time = 1

[Command]
name = "back_x"
command = /B,x
time = 1

[Command]
name = "back_y"
command = /B,y
time = 1

[Command]
name = "back_z"
command = /B,z
time = 1

[Command]
name = "down_a"
command = /D,a
time = 1

[Command]
name = "down_b"
command = /D,b
time = 1

[Command]
name = "down_c"
command = /D,c
time = 1

[Command]
name = "down_x"
command = /D,x
time = 1

[Command]
name = "down_y"
command = /D,y
time = 1

[Command]
name = "down_z"
command = /D,z
time = 1

[Command]
name = "fwd_ab"
command = /F, a+b
time = 1

[Command]
name = "back_ab"
command = /B, a+b
time = 1

;-| {^ςȂ |---------------------------------------------------------

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_ab"
command = /a+b
time = 1

[Command]
name = "hold_bc"
command = /b+c
time = 1

[Command]
name = "hold_ac"
command = /a+c
time = 1

[Command]
name = "hold_xy"
command = /x+y
time = 1

[Command]
name = "hold_yz"
command = /y+z
time = 1

[Command]
name = "hold_xz"
command = /x+z
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup";Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1


;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1]                  ;Don't change this
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = "command_name"
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.  
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in. 


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
         AI Control
;===========================================================================
---------------------------------------------------------------
; Airial Start
[State -1,1]
type = ChangeState
value = 40                          ; Jump
trigger1   = P2movetype  != A       ; Not in Attack
trigger1   = var(30)      = 30      ; AI = on
trigger1   = StateNo      = 420     ; Attack by Crouch z
trigger1   = movehit                ; Hit!

---------------------------------------------------------------
; Throw for AI
; in Air
[State -1,1]
type = ChangeState
value = 1600
trigger1   = p2statetype  = A       ; in Air
trigger1   = P2movetype  != A       ; Not in Attack
trigger1   = P2movetype  != H       ; Not in Damage
trigger1   = var(30)      = 30      ; AI = on
trigger1   = p2bodydist Y < 20      ; Near P2>
trigger1   = statetype    = A       ; in Air
trigger1   = Pos Y < -35            ; >
trigger1   = ctrl                   ; Enable Control

;---------------------------------------------------------------
; vs Ground
[State -1,1]
type = ChangeState
value = 1320                        ; Psyco Refrecter
triggerall = statetype    = S       ; Standing
triggerall = ctrl                   ; Enable Control
triggerall = var(30)      = 30      ; AI = on
trigger1   = P2name       = "Athena95ex"
trigger1   = P2StateNo    = [1000,1020]
trigger2   = P2name       = "Athena99"
trigger2   = P2StateNo    = [1000,1010]
trigger3   = P2name       = "Athena95ex"
trigger3   = P2StateNo    = [3100,3120]
trigger4   = P2name       = "geese"
trigger4   = P2StateNo    = [1000,1103]
trigger5   = P2name       = "ffspRyo"
trigger5   = P2StateNo    = [1000,1020]
trigger6   = P2name       = "ffspRyo"
trigger6   = P2StateNo    = [1400,1420]
trigger7   = P2name       = "Sie Kensou"
trigger7   = P2StateNo    = [1000,1010]
trigger8   = P2name       = "Tin's kensou"
trigger8   = P2StateNo    = 1700

; Fenix Sword 
[State -1,1]
type = ChangeState
value = 3500
triggerall = statetype    = S       ; Standing
;triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
triggerall = var(25)      < 1       ; non used
triggerall = p2bodydist X > 20      ; far from  P2
triggerall = power >= 3000 || Life <= 300
trigger1   = ctrl                   ; Enable Control
trigger2   = StateNo      = 251     ; Attack by Standing c
trigger2   = movecontact            ; Hit!
trigger3   = StateNo      = 450     ; Attack by Crouching c
trigger3   = movecontact            ; Hit!

[State -1,1]
type = ChangeState
value = 1100                        ; Air Psyco Sword
trigger1   = p2statetype  = A       ; in Air
trigger1   = P2movetype   = A       ; in Attack
trigger1   = var(30)      = 30      ; AI = on
trigger1   = p2bodydist X < 40      ; Near P2>
trigger1   = statetype    = A       ; in Air
trigger1   = ctrl                   ; Enable Control

; in Air
[State -1,1]
type = ChangeState
value = 1220                        ; Fenix Allow
triggerall = p2statetype != L       ; in Air
triggerall = var(30)      = 30      ; AI = on
triggerall = statetype    = A       ; in Air
triggerall = Pos Y < -100           ; >
;trigger1   = Pos Y < -50            ; >
trigger1   = p2bodydist X <  5      ; Near P2> ߂
trigger1   = ctrl                   ; Enable Control
trigger2   = StateNo      = 651     ; Attack by Air cz
trigger2   = movehit                ; Hit!
trigger3   = StateNo      = 650     ; Attack by Air c
trigger3   = movecontact            ; Hit!
trigger4   = ctrl                   ; Enable Control
;trigger4   = Pos Y < -60            ; >
trigger5   = StateNo      = 621     ; Attack by Hip Attack
trigger5   = movecontact            ; Hit!
trigger6   = StateNo      = 622     ; Attack by Hip Attack

---------------------------------------------------------------
; Air Combo 1
[State -1,1]
type = ChangeState
value = 600                         ; Air x
trigger1   = var(30)      = 30      ; AI = on
trigger1   = p2bodydist X < 40      ; Near P2>
trigger1   = p2bodydist Y > -15     ; Near P2>
trigger1   = p2bodydist Y <  15     ; Near P2>
trigger1   = statetype    = A       ; in Air
trigger1   = ctrl                   ; Enable Control

; Air Combo 2
[State -1,1]
type = ChangeState
value = 630                         ; Air a
trigger1   = var(30)      = 30      ; AI = on
trigger1   = statetype    = A       ; in Air
trigger1   = StateNo      = 600     ; Attack by Air x
trigger1   = movecontact            ; Hit!

; Air Combo 3
[State -1,1]
type = ChangeState
value = 610                         ; Air y
trigger1   = var(30)      = 30      ; AI = on
trigger1   = statetype    = A       ; in Air
trigger1   = StateNo      = 630     ; Attack by Air a
trigger1   = movecontact            ; Hit!

; Air Combo 4
[State -1,1]
type = ChangeState
value = 640                         ; Air b
trigger1   = var(30)      = 30      ; AI = on
trigger1   = statetype    = A       ; in Air
trigger1   = StateNo      = 610     ; Attack by Air y
trigger1   = movecontact            ; Hit!

; Air Combo 5
[State -1,1]
type = ChangeState
value = 620                         ; Air z
trigger1   = var(30)      = 30      ; AI = on
trigger1   = statetype    = A       ; in Air
trigger1   = StateNo      = 640     ; Attack by Air b
trigger1   = movecontact            ; Hit!

; Air Combo 6
[State -1,1]
type = ChangeState
value = 650                         ; Air c
trigger1   = var(30)      = 30      ; AI = on
trigger1   = statetype    = A       ; in Air
trigger1   = StateNo      = 620     ; Attack by Air z
trigger1   = movecontact            ; Hit!

; Air Combo 7
[State -1,1]
type = ChangeState
value = 650                         ; Air c
trigger1   = var(30)      = 30      ; AI = on
trigger1   = statetype    = A       ; in Air
trigger1   = StateNo      = 620     ; Attack by Air z
trigger1   = movecontact            ; Hit!

; Air Combo 8
[State -1,1]
type = ChangeState
value = 621                         ; Hip Attack
triggerall = var(30)      = 30      ; AI = on
triggerall = statetype    = A       ; in Air
triggerall = movecontact            ; Hit!
trigger1   = StateNo      = 650     ; Attack by Air c
trigger2   = StateNo      = 620     ; Attack by Air z
trigger3   = StateNo      = 640     ; Attack by Air b
trigger4   = StateNo      = 610     ; Attack by Air y
trigger5   = StateNo      = 630     ; Attack by Air a
trigger6   = StateNo      = 600     ; Attack by Air x


----------------------------------------------------
; Special Combo Attack for AI
; x-a-y-b-z-c-(Special Moves)  Section 1
;[State -1,1]
type = ChangeState
value = 210
trigger1   = p2statetype != L       ; Not Lie down
trigger1   = P2movetype  != A       ; Not in Attack
trigger1   = var(30)      = 30      ; AI = on
trigger1   = p2bodydist X < 40      ; Near P2>
trigger1   = p2bodydist X > 17      ; Near P2>
trigger1   = statetype    = S       ; Standing
trigger1   = ctrl                   ; Enable Control

; x-a-y-b-z-c-(Special Moves)  Section 2
[State -1,1]
type = ChangeState
value = 230
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
trigger1   = StateNo      = 210     ; Attack by Standing x
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 200     ; Attack by Standing x
trigger2   = movecontact            ; Hit!
trigger3   = StateNo      = 400     ; Attack by Crouching x
trigger3   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 3
[State -1,1]
type = ChangeState
value = 220
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
trigger1   = StateNo      = 230     ; Attack by Standing a
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 430     ; Attack by Crouching a
trigger2   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 4
[State -1,1]
type = ChangeState
value = 240
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
trigger1   = StateNo      = 220     ; Attack by Standing y
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 211     ; Attack by Standing y
trigger2   = movecontact            ; Hit!
trigger3   = StateNo      = 410     ; Attack by Crouching y
trigger3   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 5
[State -1,1]
type = ChangeState
value = 221
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
trigger1   = StateNo      = 240     ; Attack by Standing b
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 440     ; Attack by Crouching b
trigger2   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 6
[State -1,1]
type = ChangeState
value = 251
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
trigger1   = StateNo      = 221     ; Attack by Standing z
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 222     ; Attack by Standing z
trigger2   = movecontact            ; Hit!
trigger3   = StateNo      = 420     ; Attack by Crouching z
trigger3   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 7-a (Psyco Ball(S))
[State -1,1]
type = ChangeState
value = 1000
triggerall = p2statetype != L       ; Not Lie down
triggerall = Statetype   != A       ; Not in Air
triggerall = var(30)      = 30      ; AI = on
triggerall = p2bodydist X > 39      ; far P2
trigger1   = StateNo      = 251     ; Attack by Standing c
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 450     ; Attack by Crouching c
trigger2   = movecontact            ; Hit!
trigger3   = ctrl                   ; Enable Control
trigger3   = Random      <= 32

; x-a-y-b-z-c-(Special Moves)  Section 7-b (Psyco Sword(S))
[State -1,1]
type = ChangeState
value = 1100
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
triggerall = p2bodydist X < 40      ; Near P2>
trigger1   = StateNo      = 251     ; Attack by Standing c
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 450     ; Attack by Crouching c
trigger2   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 7-c (SCB(L))
[State -1,1]
type = ChangeState
value = 3020
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
triggerall = p2bodydist X < 40      ; Near P2>
triggerall = power >= 3000 || Life <= 200    ;>
;trigger1   = StateNo      = 210     ; Attack by Standing x
trigger1   = StateNo      = 251     ; Attack by Standing c
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 450     ; Attack by Crouching c
trigger2   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 7-d (SCB(M))
[State -1,1]
type = ChangeState
value = 3010
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
triggerall = p2bodydist X < 40      ; Near P2>
triggerall = power >= 2000 || Life <= 250    ;>
trigger1   = StateNo      = 251     ; Attack by Standing c
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 450     ; Attack by Crouching c
trigger2   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 7-e (SCB(S))
[State -1,1]
type = ChangeState
value = 3000
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
triggerall = p2bodydist X < 40      ; Near P2>
triggerall = power >= 1000 || Life <= 300    ;>
trigger1   = StateNo      = 251     ; Attack by Standing c
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 450     ; Attack by Crouching c
trigger2   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 7-f (PI(L))
[State -1,1]
type = ChangeState
value = 3221
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
triggerall = p2bodydist X > 39      ; Near P2>
triggerall = power >= 3000 || Life <= 200    ;>
trigger1   = StateNo      = 251     ; Attack by Standing c
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 450     ; Attack by Crouching c
trigger2   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 7-g (PI(M))
[State -1,1]
type = ChangeState
value = 3211
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
triggerall = p2bodydist X > 39      ; Near P2>
triggerall = power >= 2000 || Life <= 250    ;>
trigger1   = StateNo      = 251     ; Attack by Standing c
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 450     ; Attack by Crouching c
trigger2   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 7-h (PI(S))
[State -1,1]
type = ChangeState
value = 3201
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
triggerall = p2bodydist X > 39      ; Near P2>
triggerall = power >= 1000 || Life <= 300    ;>
trigger1   = StateNo      = 251     ; Attack by Standing c
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 450     ; Attack by Crouching c
trigger2   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 8-a (Psyco Ball(M))
[State -1,1]
type = ChangeState
value = 1010
trigger1   = p2statetype != L       ; Not Lie down
trigger1   = var(30)      = 30      ; AI = on
trigger1   = StateNo      = 1000    ; Attack by Psyco Ball
trigger1   = power       >= 2000    ; Power Level 2 over
trigger1   = animelem    >= 6       ; After Shooting

; x-a-y-b-z-c-(Special Moves)  Section 8-b (Psyco Sword(M))
[State -1,1]
type = ChangeState
value = 1110
trigger1   = p2statetype != L       ; Not Lie down
trigger1   = var(30)      = 30      ; AI = on
trigger1   = power       >= 2000    ; Power Level 2 over
trigger1   = StateNo      = 1100    ; Attack by Psyco Sword
trigger1   = StateType   != A       ; Not in Air
trigger1   = Pos Y        > -1      ; on Ground
trigger1   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 9-a (Psyco Ball(L))
[State -1,1]
type = ChangeState
value = 1020
trigger1   = P2movetype  != A       ; Not in Attack
trigger1   = p2statetype != L       ; Not Lie down
trigger1   = var(30)      = 30      ; AI = on
trigger1   = StateNo      = 1010    ; Attack by Psyco Ball
trigger1   = power       >= 3000    ; Power Level 3 over
trigger1   = animelem    >= 6       ; After Shooting

; x-a-y-b-z-c-(Special Moves)  Section 9-b (Psyco Sword(L))
[State -1,1]
type = ChangeState
value = 1120
trigger1   = p2statetype != L       ; Not Lie down
trigger1   = var(30)      = 30      ; AI = on
trigger1   = power       >= 2000    ; Power Level 2 over
trigger1   = StateNo      = 1110    ; Attack by Psyco Sword
trigger1   = StateType   != A       ; Not in Air
trigger1   = Pos Y        > -1      ; on Ground
trigger1   = movecontact            ; Hit!

; x-a-y-b-z-c-(Special Moves)  Section 10-a (Cristal Ilusion)
[State -1,1]
type = ChangeState
value = 3300
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
triggerall = power       >= 3000    ; Power Level 2 over
triggerall = Life        <= 200     ; ̗͂200ȉ̎>
trigger1   = StateNo      = 1120    ; Attack by Psyco Sword
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 1020    ; Attack by Psyco Ball
trigger2   = animelem    >= 6       ; After Shooting

; x-a-y-b-z-c-(Special Moves)  Section 10-b-1 (Psyco Ilusion(L))
[State -1,1]
type = ChangeState
value = 3220
triggerall = P2movetype  != A       ; Not in Attack
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
triggerall = power >= 3000 || Life <= 200    ;>
trigger1   = StateNo      = 1220    ; Attack by Psyco Sword
trigger1   = StateType   != A       ; Not in Air
trigger1   = Pos Y        > -1      ; on Ground
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 1020    ; Attack by Psyco Ball
trigger2   = animelem    >= 6       ; After Shooting

; x-a-y-b-z-c-(Special Moves)  Section 10-b-2 (Psyco Ilusion(M))
[State -1,1]
type = ChangeState
value = 3210
triggerall = P2movetype  != A       ; Not in Attack
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
triggerall = power >= 2000 || Life <= 250  ;>
trigger1   = StateNo      = 1120    ; Attack by Psyco Sword
trigger1   = StateType   != A       ; Not in Air
trigger1   = Pos Y        > -1      ; on Ground
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 1020    ; Attack by Psyco Ball
trigger2   = animelem    >= 6       ; After Shooting

; x-a-y-b-z-c-(Special Moves)  Section 10-b-3 (Psyco Ilusion(S))
[State -1,1]
type = ChangeState
value = 3200
triggerall = P2movetype  != A       ; Not in Attack
triggerall = p2statetype != L       ; Not Lie down
triggerall = var(30)      = 30      ; AI = on
triggerall = power >= 1000 || Life <= 300  ;>
trigger1   = StateNo      = 1120    ; Attack by Psyco Sword
trigger1   = StateType   != A       ; Not in Air
trigger1   = Pos Y        > -1      ; on Ground
trigger1   = movecontact            ; Hit!
trigger2   = StateNo      = 1020    ; Attack by Psyco Ball
trigger2   = animelem    >= 6       ; After Shooting

---------------------------------------------------------------
; Throw for AI
; on Ground
[State -1,1]
type = ChangeState
value = 1500
trigger1   = P2movetype  != A       ; Not in Attack
trigger1   = p2statetype != L       ; Not Lie down
trigger1   = p2statetype != A       ; Not in Air
trigger1   = var(30)      = 30      ; AI = on
trigger1   = p2bodydist X < 18      ; Near P2>
trigger1   = statetype    = S       ; Standing
trigger1   = ctrl                   ; Enable Control

---------------------------------------------------------------
; Short Range
;  vs Air
[State -1,1]
type = ChangeState
value = 1100
trigger1   = PrevStateNo != 1104    ; ZJԂȂ
trigger1   = P2movetype   = A       ; in Attack
trigger1   = p2statetype != L       ; Not Lie down
trigger1   = var(30)      = 30      ; AI = on
trigger1   = p2bodydist X < 40      ; Near P2>
trigger1   = statetype    = S       ; Standing
trigger1   = ctrl                   ; Enable Control

---------------------------------------------------------------
;Middle Range
;  vs Air
[State -1,1]
type = ChangeState
value = 1110
trigger1   = P2movetype   = A       ; in Attack
trigger1   = p2statetype  = A       ; in AIr
trigger1   = var(30)      = 30      ; AI = on
trigger1   = p2bodydist X > 39      ; Middle range P2>
trigger1   = p2bodydist X < 80      ; Middle range P2>
trigger1   = statetype    = S       ; Standing
trigger1   = ctrl                   ; Enable Control

---------------------------------------------------------------
;Long Range
;  vs Air
[State -1,1]
type = ChangeState
value = 1120
trigger1   = P2movetype   = A       ; in Attack
trigger1   = p2statetype  = A       ; in AIr
trigger1   = var(30)      = 30      ; AI = on
trigger1   = p2bodydist X > 79      ; Far from P2>
trigger1   = p2bodydist X < 120     ; Far from P2>
trigger1   = statetype    = S       ; Standing
trigger1   = ctrl                   ; Enable Control

;  vs Ground
[State -1,1]
type = ChangeState
value = 1000
trigger1   = PrevStateNo != 1000    ; ZJԂȂ
trigger1   = P2movetype   = A       ; in Attack
trigger1   = p2statetype  = S       ; on Ground
trigger1   = var(30)      = 30      ; AI = on
trigger1   = p2bodydist X > 79      ; Far from P2>
trigger1   = statetype    = S       ; Standing
trigger1   = power        < 1000    ; no Power >
trigger1   = Life         > 300     ; Life 300 over >
trigger1   = ctrl                   ; Enable Control

;;  vs Ground
;[State -1,1]
;type = ChangeState
;value = 1410
;trigger1   = P2NumProj   != 0       ; in Attack by Proj
;trigger1   = p2statetype  = S       ; on Ground
;trigger1   = var(30)      = 30      ; AI = on
;trigger1   = p2bodydist X > 79      ; Far from P2>
;trigger1   = statetype    = S       ; Standing
;trigger1   = ctrl                   ; Enable Control

;  vs Ground
[State -1,1]
type = ChangeState
value = 3200
trigger1   = P2movetype  != A       ; not in Attack
trigger1   = p2statetype != L       ; not Lie down
trigger1   = var(30)      = 30      ; AI = on
trigger1   = p2bodydist X > 79      ; Far from P2>
trigger1   = statetype    = S       ; Standing
trigger1   = power > 1000 || Life < 300 ; Power 1000 over or Life 300 under >
trigger1   = ctrl                   ; Enable Control

  vs Ground
[State -1,1]
type = ChangeState
value = 40
trigger1   = Random      <= 249
trigger1   = P2movetype   = A       ; in Attack
trigger1   = p2statetype != L       ; Lie down
trigger1   = var(30)      = 30      ; AI = on
trigger1   = p2bodydist X > 79      ; Far from P2>
trigger1   = statetype    = S       ; Standing
trigger1   = power        < 3000    ; not Full Power >
trigger1   = ctrl                   ; Enable Control

  vs Ground
[State -1,1]
type = ChangeState
value = 1410
trigger1   = Random      >= 250
trigger1   = P2movetype   = A       ; in Attack
trigger1   = p2statetype != L       ; Lie down
trigger1   = var(30)      = 30      ; AI = on
trigger1   = p2bodydist X > 79      ; Far from P2>
trigger1   = statetype    = S       ; Standing
trigger1   = power        < 3000    ; not Full Power >
trigger1   = ctrl                   ; Enable Control

;  vs Ground
;[State -1,1]
;type = ChangeState
;value = 900
;trigger1   = P2movetype  != A       ; in Attack
;trigger1   = p2statetype  = L       ; Lie down
;trigger1   = var(30)      = 30      ; AI = on
;trigger1   = p2bodydist X > 79      ; Far from P2>
;trigger1   = statetype    = S       ; Standing
;trigger1   = power        < 3000    ; not Full Power >
;trigger1   = ctrl                   ; Enable Control

;  vs Ground
[State -1,1]
type = ChangeState
value = 902
triggerall = StateNo      = 901     ; Charging
triggerall = var(30)      = 30      ; AI = on
trigger1   = P2movetype   = A       ; in Attack
trigger2   = p2bodydist X < 120     ; P2>

---------------------------------------------------------------
;AI Sign SW
[State -1,2]
type = Varset
trigger1   = Facing       = -1      ; 2P Side
trigger1   = RoundState  != 2       ; Not in Fight
v = 29
value = 2

;AI Sign SW
[State -1,2]
type = Varset
trigger1   = Facing       = 1       ; 1P Side
trigger1   = RoundState  != 2       ; Not in Fight
v = 29
value = 1

;AI Sign
[State -1,3]
type = explod
triggerall = var(30) != 30
triggerall = var(29)  = 2
;triggerall = Facing   = -1    ; 2P Side
trigger1  = command = "AI_1"
trigger2  = command = "AI_2"
trigger3  = command = "AI_3"
trigger4  = command = "AI_4"
trigger5  = command = "AI_5"
trigger6  = command = "AI_6"
trigger7  = command = "AI_7"
trigger8  = command = "AI_8"
trigger9  = command = "AI_9"
trigger10 = command = "AI_10"
trigger11 = command = "AI_11"
trigger12 = command = "AI_12"
trigger13 = command = "AI_13"
trigger14 = command = "AI_14"
trigger15 = command = "AI_15"
trigger16 = command = "AI_16"
trigger17 = command = "AI_17"
trigger18 = command = "AI_18"
trigger19 = command = "AI_19"
trigger20 = command = "AI_20"
trigger21 = command = "AI_21"
trigger22 = command = "AI_22"
trigger23 = command = "AI_23"
trigger24 = command = "AI_24"
trigger25 = command = "AI_25"
trigger26 = command = "AI_26"
trigger27 = command = "AI_27"
trigger28 = command = "AI_28"
trigger29 = command = "AI_29"
trigger30 = command = "AI_30"
;persistent = 0
id = 9999
anim = 9999;1408
pos = -2,22  ;-50,60
postype = right
sprpriority = 7
removetime = -1
facing=-1
supermove = 1
bindtime = -1
ontop = 1
;ownpal = 1

;AI Sign
[State -1,3]
type = explod
triggerall = var(30) != 30
triggerall = var(29)  = 1
;triggerall = Facing   =  1     ; 1P Side
trigger1  = command = "AI_1"
trigger2  = command = "AI_2"
trigger3  = command = "AI_3"
trigger4  = command = "AI_4"
trigger5  = command = "AI_5"
trigger6  = command = "AI_6"
trigger7  = command = "AI_7"
trigger8  = command = "AI_8"
trigger9  = command = "AI_9"
trigger10 = command = "AI_10"
trigger11 = command = "AI_11"
trigger12 = command = "AI_12"
trigger13 = command = "AI_13"
trigger14 = command = "AI_14"
trigger15 = command = "AI_15"
trigger16 = command = "AI_16"
trigger17 = command = "AI_17"
trigger18 = command = "AI_18"
trigger19 = command = "AI_19"
trigger20 = command = "AI_20"
trigger21 = command = "AI_21"
trigger22 = command = "AI_22"
trigger23 = command = "AI_23"
trigger24 = command = "AI_24"
trigger25 = command = "AI_25"
trigger26 = command = "AI_26"
trigger27 = command = "AI_27"
trigger28 = command = "AI_28"
trigger29 = command = "AI_29"
trigger30 = command = "AI_30"
;persistent = 0
id = 9999
anim = 9999;1408
pos =   0,22 ;50,60
postype = left
sprpriority = 7
removetime = -1
supermove = 1
bindtime = -1
ontop = 1
;ownpal = 1

; AI swich -> ON
[State -1,2]
type = Varset
triggerall = var(30) != 30
trigger1 = command = "AI_1"
trigger2 = command = "AI_2"
trigger3 = command = "AI_3"
trigger4 = command = "AI_4"
trigger5 = command = "AI_5"
trigger6 = command = "AI_6"
trigger7 = command = "AI_7"
trigger8 = command = "AI_8"
trigger9 = command = "AI_9"
trigger10 = command = "AI_10"
trigger11 = command = "AI_11"
trigger12 = command = "AI_12"
trigger13 = command = "AI_13"
trigger14 = command = "AI_14"
trigger15 = command = "AI_15"
trigger16 = command = "AI_16"
trigger17 = command = "AI_17"
trigger18 = command = "AI_18"
trigger19 = command = "AI_19"
trigger20 = command = "AI_20"
trigger21 = command = "AI_21"
trigger22 = command = "AI_22"
trigger23 = command = "AI_23"
trigger24 = command = "AI_24"
trigger25 = command = "AI_25"
trigger26 = command = "AI_26"
trigger27 = command = "AI_27"
trigger28 = command = "AI_28"
trigger29 = command = "AI_29"
trigger30 = command = "AI_30"
v = 30
value = 30

;---------------------------------------------------------------------------
; tgXebv
[State -1]
type = ChangeState
value = 101
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = command = "236_a"
trigger2 = command = "236_b"
trigger3 = command = "236_c"

;===========================================================================
         KEZ
;===========================================================================
;---------------------------------------------------------------------------
; TCREr[íj
[State -1]
type = ChangeState
value = 3500
triggerall = command = "4632147_c"
triggerall = command != "holddown"
triggerall = power >= 3000 || Life <= 300
triggerall = var(25)      < 1       ; non used
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = time <= 13
trigger19 = Pos Y > 1 
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; NX^C[Wioj
[State -1]
type = ChangeState
value = 3300
triggerall = command = "236236_z";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = power >= 3000 ;           p[3000ȏ̎̂ 
triggerall = Life  <= 200  ;           ̗͂200ȉ̎
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = time <= 13
trigger19 = Pos Y > 1 
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; NX^C[Wijj
[State -1]
type = ChangeState
value = 3301
triggerall = command = "236236_c";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = power >= 3000 ;           p[3000ȏ̎̂ 
triggerall = Life  <= 200  ;           ̗͂200ȉ̎
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = time <= 13
trigger19 = Pos Y > 1 
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; VCjONX^rbgij
[State -1]
type = ChangeState
value = 3000
triggerall = command = "4632147_x";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = power >= 1000 ;           p[1000ȏ̎̂ 
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = time <= 13
trigger19 = Pos Y > 1 
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; VCjONX^rbgij
[State -1]
type = ChangeState
value = 3010
triggerall = command = "4632147_y";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = power >= 2000 ;           p[2000ȏ̎̂ 
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; VCjONX^rbgij
[State -1]
type = ChangeState
value = 3020
triggerall = command = "4632147_z";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = power >= 3000 ;           p[3000ȏ̎̂ 
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; VCjONX^rbgij
[State -1]
type = ChangeState
value = 3000
triggerall = command = "4632147_x";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = Life <= 300  ;   ̗͂300ȉ̎
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; VCjONX^rbgij
[State -1]
type = ChangeState
value = 3010
triggerall = command = "4632147_y";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = Life <= 250  ;   ̗͂250ȉ̎
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; VCjONX^rbgij
[State -1]
type = ChangeState
value = 3020
triggerall = command = "4632147_z";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = Life <= 200  ;   ̗͂200ȉ̎
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; TCRC[Wioj
[State -1]
type = ChangeState
value = 3220
triggerall = command = "236236_z";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = power >= 3000 ;           p[3000ȏ̎̂ 
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; TCRC[Wioj
[State -1]
type = ChangeState
value = 3210
triggerall = command = "236236_y";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = power >= 2000 ;           p[2000ȏ̎̂ 
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; TCRC[Wioj
[State -1]
type = ChangeState
value = 3200
triggerall = command = "236236_x";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = power >= 1000 ;           p[1000ȏ̎̂ 
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; TCRC[Wijj
[State -1]
type = ChangeState
value = 3221
triggerall = command = "236236_c";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = power >= 3000 ;           p[3000ȏ̎̂ 
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; TCRC[Wijj
[State -1]
type = ChangeState
value = 3211
triggerall = command = "236236_b";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = power >= 2000 ;           p[2000ȏ̎̂ 
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; TCRC[Wijj
[State -1]
type = ChangeState
value = 3201
triggerall = command = "236236_a";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = power >= 1000 ;           p[3000ȏ̎̂ 
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; TCRC[Wioj
[State -1]
type = ChangeState
value = 3220
triggerall = command = "236236_z";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = Life <= 200  ;   ̗͂200ȉ̎
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; TCRC[Wioj
[State -1]
type = ChangeState
value = 3210
triggerall = command = "236236_y";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = Life <= 250  ;   ̗͂250ȉ̎
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; TCRC[Wioj
[State -1]
type = ChangeState
value = 3200
triggerall = command = "236236_x";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = Life <= 300  ;   ̗͂300ȉ̎
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; TCRC[Wijj
[State -1]
type = ChangeState
value = 3221
triggerall = command = "236236_c";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = Life <= 200  ;   ̗͂200ȉ̎
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; TCRC[Wijj
[State -1]
type = ChangeState
value = 3211
triggerall = command = "236236_b";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = Life <= 250  ;   ̗͂250ȉ̎
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;---------------------------------------------------------------------------
; TCRC[Wijj
[State -1]
type = ChangeState
value = 3201
triggerall = command = "236236_a";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = Life <= 300  ;   ̗͂300ȉ̎
 ;The following is true if Player is in stand state, and has control
triggerall = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 1100
trigger18 = time <= 13
trigger18 = Pos Y > 1 
trigger19 = stateno = 1110
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger20 = stateno = 1120
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger21 = stateno = 222

;===========================================================================
           KEZ
;===========================================================================
;---------------------------------------------------------------------------
; TCRtN^[ij
[State -1]
type = ChangeState
value = 1300
triggerall = command = "41236_a";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 222

;---------------------------------------------------------------------------
; TCRtN^[ij
[State -1]
type = ChangeState
value = 1310
triggerall = command = "41236_b";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 222

;---------------------------------------------------------------------------
; TCRtN^[ij
[State -1]
type = ChangeState
value = 1320
triggerall = command = "41236_c";Place name of command here
;triggerall = command = "236_c"; Test Only.:-)
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 222

;---------------------------------------------------------------------------
; TCR{[ij
[State -1]
type = ChangeState
value = 1000
triggerall = command = "214_x";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 222

;---------------------------------------------------------------------------
; TCR{[ij
[State -1]
type = ChangeState
value = 1010
triggerall = command = "214_y";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 222
trigger19 = stateno = 1000
trigger19 = power >= 2000 ;           p[2000ȏ̎̂ 

;---------------------------------------------------------------------------
; TCR{[ij
[State -1]
type = ChangeState
value = 1020
triggerall = command = "214_z";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 222
trigger19 = stateno = 1000
trigger19 = power >= 3000 ;           p[3000ȏ̎̂ 
trigger20 = stateno = 1010
trigger20 = power >= 3000 ;           p[3000ȏ̎̂ 

;---------------------------------------------------------------------------
; TCR\[hij
[State -1]
type = ChangeState
value = 1100
triggerall = command = "623_x";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
;trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 222
trigger19 = stateno = 101

;---------------------------------------------------------------------------
; TCR\[hij
[State -1]
type = ChangeState
value = 1110
triggerall = command = "623_y";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
;trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 222
trigger19 = stateno = 1100
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger19 = power >= 2000 ;           p[2000ȏ̎̂ 
trigger20 = stateno = 101

; TCR\[hijLZp
[State -1]
type = ChangeState
value = 1110
triggerall = command != "holddown";Standing moves should have this line
triggerall = stateno = 1100
triggerall = Pos Y > 1 
triggerall = time <= 13
triggerall = power >= 2000 ;           p[2000ȏ̎̂ 
trigger1   = command = "623_y"
trigger2   = command = "y"

;---------------------------------------------------------------------------
; TCR\[hij
[State -1]
type = ChangeState
value = 1120
triggerall = command = "623_z";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
;trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 222
trigger19 = stateno = 1100
trigger19 = Pos Y > 1 
trigger19 = time <= 13
trigger19 = power >= 3000 ;           p[3000ȏ̎̂ 
trigger20 = stateno = 1110
trigger20 = time <= 13
trigger20 = Pos Y > 1 
trigger20 = power >= 3000 ;           p[3000ȏ̎̂ 
trigger21 = stateno = 101

; TCR\[hijLZp
[State -1]
type = ChangeState
value = 1120
triggerall = command != "holddown";Standing moves should have this line
triggerall = Pos Y > 1 
triggerall = time <= 13
trigger1   = command = "y"
trigger1   = stateno = 1100
trigger1   = power >= 2000 ;           p[3000ȏ̎̂ 
trigger2   = command = "z"
trigger2   = stateno = 1110
trigger2   = power >= 3000 ;           p[3000ȏ̎̂ 

;---------------------------------------------------------------------------
;tFjbNXA[ij
[State -1]
type = ChangeState
value = 1200
triggerall = command = "214_a"
triggerall = statetype = A
triggerall = Pos Y < -50 
trigger1 = ctrl = 1
trigger2  = stateno = 600
trigger3  = stateno = 610
trigger4  = stateno = 620
trigger5  = stateno = 630
trigger6  = stateno = 640
trigger7  = stateno = 650
trigger8  = stateno = 651
trigger9  = stateno = 621
trigger10 = stateno = 622
trigger11 = stateno = 101

;---------------------------------------------------------------------------
;tFjbNXA[ij
[State -1]
type = ChangeState
value = 1210
triggerall = command = "214_b"
triggerall = statetype = A
triggerall = Pos Y < -50 
trigger1 = ctrl = 1
trigger2  = stateno = 600
trigger3  = stateno = 610
trigger4  = stateno = 620
trigger5  = stateno = 630
trigger6  = stateno = 640
trigger7  = stateno = 650
trigger8  = stateno = 651
trigger9  = stateno = 621
trigger10 = stateno = 622
trigger11 = stateno = 101

;---------------------------------------------------------------------------
;tFjbNXA[ij
[State -1]
type = ChangeState
value = 1220
triggerall = command = "214_c"
triggerall = statetype = A
triggerall = Pos Y < -50 
trigger1 = ctrl = 1
trigger2  = stateno = 600
trigger3  = stateno = 610
trigger4  = stateno = 620
trigger5  = stateno = 630
trigger6  = stateno = 640
trigger7  = stateno = 650
trigger8  = stateno = 651
trigger9  = stateno = 621
trigger10 = stateno = 622
trigger11 = stateno = 101

;---------------------------------------------------------------------------
;tFjbNXA[iǉUj
[State -1]
type = ChangeState
value = 1203
;triggerall = Pos Y < -60 
triggerall = stateno = 1202
trigger1 = command = "a"
trigger2 = command = "b"
trigger3 = command = "c"
;>

;---------------------------------------------------------------------------
; Đgij
[State -1]
type = ChangeState
value = 1400
triggerall = command = "236_x";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 222


;---------------------------------------------------------------------------
; Đgij
[State -1]
type = ChangeState
value = 1410
triggerall = command = "236_y";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 222


;---------------------------------------------------------------------------
; Đgij
[State -1]
type = ChangeState
value = 1420
triggerall = command = "236_z";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2  = stateno = 110
trigger3  = stateno = 200
trigger4  = stateno = 210
trigger5  = stateno = 211
trigger6  = stateno = 220
trigger7  = stateno = 221
trigger8  = stateno = 230
trigger9  = stateno = 240
trigger10 = stateno = 250
trigger11 = stateno = 251
trigger12 = stateno = 400
trigger13 = stateno = 410
trigger14 = stateno = 420
trigger15 = stateno = 430
trigger16 = stateno = 440
trigger17 = stateno = 450
trigger18 = stateno = 222


;===========================================================================
;===========================================================================
;---------------------------------------------------------------------------
; O_bV RunFwd
[State -1]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; obNXebv RunBack
[State -1]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; ʏ퓊 Stand_Throw (close dir+b)
[State -1]
type = ChangeState
value = 1500
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = p2bodydist X < 32 ;Near P2
trigger1 = command = "fwd_y"
trigger2 = command = "fwd_z"
trigger3 = command = "back_y"
trigger4 = command = "back_z"
trigger5 = command = "fwd_b"
trigger6 = command = "fwd_c"
trigger7 = command = "back_b"
trigger8 = command = "back_c"

;---------------------------------------------------------------------------
; 󒆓 (close dir+b)
[State -1]
type = ChangeState
value = 1600
triggerall = statetype = A
triggerall = ctrl = 1
;triggerall = p2bodydist X <  160
;triggerall = p2bodydist Y > -180
;triggerall = p2bodydist Y < 80
triggerall = p2statetype   = A
;triggerall = p2statetype != C
;triggerall = p2statetype != L
;triggerall = p2statetype != S
;triggerall = p2movetype != H
trigger1 = command = "fwd_y"
trigger2 = command = "fwd_z"
trigger3 = command = "back_y"
trigger4 = command = "back_z"
trigger5 = command = "fwd_b"
trigger6 = command = "fwd_c"
trigger7 = command = "back_b"
trigger8 = command = "back_c"
trigger9 = command = "down_b"
trigger10 = command = "down_c"
trigger11 = command = "down_y"
trigger12 = command = "down_z"



;===========================================================================
;---------------------------------------------------------------------------
;Wv΂U
[State -1]
type = ChangeState
value = 651
trigger1 = command = "cz"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger1 = Pos Y < -50 

;---------------------------------------------------------------------------
; U
[State -1]
type = ChangeState
value = 110
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = command = "ax"
trigger2 = command = "by"
trigger3 = command = "cz"

;---------------------------------------------------------------------------
; C͗
[State -1]
type = ChangeState
value = 900
triggerall = stateno  = 0
trigger1   = Command  = "ab"
trigger2   = Command  = "bc"
trigger3   = Command  = "ac"
trigger4   = Command  = "xy"
trigger5   = Command  = "yz"
trigger6   = Command  = "xz"
;triggerall = stateno != 0
;triggerall = stateno != 5
;triggerall = stateno != 6
;triggerall = stateno != 10
;triggerall = stateno != 20
;triggerall = stateno != 21
;triggerall = stateno != 40
;triggerall = stateno != 47
;triggerall = stateno != 100
;triggerall = stateno != 105
;triggerall = stateno != 110
;triggerall = stateno != 120
;triggerall = stateno != 130
;triggerall = stateno != 140
;triggerall = stateno != 150
;triggerall = stateno != 170
;triggerall = stateno != 175
;triggerall = stateno != 180
;triggerall = stateno != 181
;triggerall = stateno != 182
;triggerall = stateno != 183
;triggerall = stateno != 190
;triggerall = stateno != 191
;triggerall = stateno != 193
;triggerall = stateno != 195
;triggerall = stateno != 900
;triggerall = stateno != 901
;triggerall = stateno != 902
;triggerall = stateno < 1100
;triggerall = statetype = S
;triggerall = AnimTime = [0,2]
;trigger1 = Command = "hold_ab"
;trigger2 = Command = "hold_bc"
;trigger3 = Command = "hold_ac"
;trigger4 = Command = "hold_xy"
;trigger5 = Command = "hold_yz"
;trigger6 = Command = "hold_xz"

;---------------------------------------------------------------------------
; o[ꗧLbN  Stand_Z
[State -1]
type = ChangeState
value = 250
triggerall = command = "fwd_c";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2 = stateno = 110
trigger3 = stateno = 420
trigger3 = time >= 7
trigger4 = stateno = 200
trigger4 = movecontact = 1
trigger5 = stateno = 210
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1
trigger7 = stateno = 400
trigger7 = movecontact = 1
trigger8 = stateno = 430
trigger8 = movecontact = 1
trigger9 = stateno = 211
trigger9 = movecontact = 1
trigger10 = stateno = 220
trigger10 = movecontact = 1
trigger11 = stateno = 240
trigger11 = movecontact = 1
trigger12 = stateno = 410
trigger12 = movecontact = 1
trigger13 = stateno = 440
trigger13 = movecontact = 1
trigger14 = stateno = 222
trigger14 = movecontact = 1
trigger15 = stateno = 221
trigger15 = movecontact = 1
trigger16 = stateno = 251
trigger16 = movecontact = 1
trigger17 = stateno = 450
trigger17 = movecontact = 1

;---------------------------------------------------------------------------
; p`i߁j Stand_A
[State -1]
type = ChangeState
value = 200
triggerall = command = "x";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = P2BodyDist X < 32
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2 = stateno = 200
trigger2 = time >= 7
trigger3 = stateno = 110

;---------------------------------------------------------------------------
; p`ij Stand_A
[State -1]
type = ChangeState
value = 210
triggerall = command = "x";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2 = stateno = 200
trigger2 = time >= 7
trigger3 = stateno = 110

;---------------------------------------------------------------------------
; p`i߁j Stand_B
[State -1]
type = ChangeState
value = 211
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = P2BodyDist X < 32
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to "chain" the attack
 ;from a Stand_A (state 200)
trigger2 = stateno = 200
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 210
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 110
trigger5 = stateno = 230
trigger5 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 430
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
; p`ij Stand_B
[State -1]
type = ChangeState
value = 220
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to "chain" the attack
 ;from a Stand_A (state 200)
trigger2 = stateno = 200
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 210
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 211
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 110
trigger6 = stateno = 230
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger7 = stateno = 400
trigger7 = movecontact = 1
trigger8 = stateno = 430
trigger8 = movecontact = 1

;---------------------------------------------------------------------------
; p`i߁j
[State -1]
type = ChangeState
value = 222
triggerall = command = "z";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
triggerall = P2BodyDist X < 32
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2 = stateno = 240
trigger2 = time >= 7
trigger3 = stateno = 210
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 220
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 110
trigger6 = stateno = 211
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger7 = stateno = 240
trigger7 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger8 = stateno = 400
trigger8 = movecontact = 1
trigger9 = stateno = 430
trigger9 = movecontact = 1
trigger10 = stateno = 410
trigger10 = movecontact = 1
trigger11 = stateno = 440
trigger11 = movecontact = 1

;---------------------------------------------------------------------------
; p`ij Stand_C
[State -1]
type = ChangeState
value = 221
triggerall = command = "z";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2 = stateno = 240
trigger2 = time >= 7
trigger3 = stateno = 210
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 220
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 110
trigger6 = stateno = 211
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger7 = stateno = 222
trigger7 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger8 = stateno = 240
trigger8 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger9 = stateno = 400
trigger9 = movecontact = 1
trigger10 = stateno = 430
trigger10 = movecontact = 1
trigger11 = stateno = 410
trigger11 = movecontact = 1
trigger12 = stateno = 440
trigger12 = movecontact = 1

;---------------------------------------------------------------------------
; LbN Stand_X
[State -1]
type = ChangeState
value = 230
triggerall = command = "a";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2 = stateno = 200
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 110
trigger4 = stateno = 210
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
; LbN Stand_Y
[State -1]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to "chain" the attack
 ;from a Stand_A (state 200)
trigger2 = stateno = 230
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 200
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 210
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 110
trigger6 = stateno = 211
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger7 = stateno = 220
trigger7 = movecontact = 1  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
; LbN Stand_Z
[State -1]
type = ChangeState
value = 251
triggerall = command = "c";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
trigger2 = stateno = 200
trigger2 = time >= 7
trigger3 = stateno = 210
trigger3 = time >= 7
trigger4 = stateno = 110
trigger5 = stateno = 211
trigger5 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger6 = stateno = 220
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger7 = stateno = 222
trigger7 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger8 = stateno = 221
trigger8 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger9 = stateno = 240
trigger9 = movecontact = 1  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
; ݏp` Crouch_A
[State -1]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 110

;---------------------------------------------------------------------------
; ݒp` Crouch_B
[State -1]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 110
trigger3 = stateno = 400
trigger3 = movecontact = 1
trigger4 = stateno = 430
trigger4 = movecontact = 1
trigger5 = stateno = 200
trigger5 = movecontact = 1
trigger6 = stateno = 210
trigger6 = movecontact = 1
trigger7 = stateno = 230
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
; ݑp` Crouch_C
[State -1]
type = ChangeState
value = 420
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 240
trigger2 = time >= 7
trigger3 = stateno = 110
trigger4 = stateno = 211
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 220
trigger5 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 430
trigger7 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger9 = stateno = 440
trigger9 = movecontact = 1
trigger5 = stateno = 200
trigger5 = movecontact = 1
trigger6 = stateno = 210
trigger6 = movecontact = 1
trigger7 = stateno = 230
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
; ݏLbN Crouch_X
[State -1]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 110
trigger3 = stateno = 400
trigger3 = movecontact = 1
trigger4 = stateno = 200
trigger4 = movecontact = 1
trigger5 = stateno = 210
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1

;---------------------------------------------------------------------------
; ݒLbN Crouch_Y
[State -1]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 110
trigger3 = stateno = 400
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
trigger5 = stateno = 430
trigger5 = movecontact = 1
trigger6 = stateno = 200
trigger6 = movecontact = 1
trigger7 = stateno = 210
trigger7 = movecontact = 1
trigger8 = stateno = 230
trigger8 = movecontact = 1
trigger9 = stateno = 211
trigger9 = movecontact = 1
trigger10 = stateno = 220
trigger10 = movecontact = 1
trigger11 = stateno = 240
trigger11 = movecontact = 1

;---------------------------------------------------------------------------
; ݑLbN Crouch_Z
[State -1]
type = ChangeState
value = 450
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 420
trigger2 = time >= 7
trigger3 = stateno = 110
trigger6 = stateno = 222
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger7 = stateno = 400
trigger7 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger9 = stateno = 430
trigger9 = movecontact = 1
trigger10 = stateno = 420
trigger10 = movecontact = 1
trigger11 = stateno = 450
trigger11 = movecontact = 1
trigger12 = stateno = 200
trigger12 = movecontact = 1
trigger13 = stateno = 210
trigger13 = movecontact = 1
trigger14 = stateno = 230
trigger14 = movecontact = 1
trigger15 = stateno = 211
trigger15 = movecontact = 1
trigger16 = stateno = 220
trigger16 = movecontact = 1
trigger17 = stateno = 240
trigger17 = movecontact = 1

;---------------------------------------------------------------------------
; Wvp` Jump_A
[State -1]
type = ChangeState
value = 600
triggerall = command = "x"
triggerall = statetype = A
trigger1 = ctrl = 1
trigger1 = Pos Y < -50 
trigger2 = stateno = 101

;---------------------------------------------------------------------------
; Wvp` Jump_B
[State -1]
type = ChangeState
value = 610
triggerall = command = "y"
triggerall = statetype = A
trigger1 = ctrl = 1
trigger1 = Pos Y < -50 
trigger2 = stateno = 101
trigger3 = stateno = 600
trigger4 = stateno = 630

;---------------------------------------------------------------------------
; Wvp` Jump_C
[State -1]
type = ChangeState
value = 620
triggerall = command = "z"
triggerall = statetype = A
trigger1 = ctrl = 1
trigger1 = Pos Y < -50 
trigger2 = stateno = 101
trigger3 = stateno = 600
trigger4 = stateno = 610
trigger5 = stateno = 630
trigger6 = stateno = 640

;---------------------------------------------------------------------------
; tFjbNX { Jump_C (Add)
[State -1]
type = ChangeState
value = 621
triggerall = statetype = A
triggerall = stateno != 621
triggerall = stateno != 622
triggerall = stateno < 1000
triggerall = Pos Y < -50 
;trigger1 = ctrl = 1
;trigger1 = command = "z"
trigger1 = command = "down_c"

; tFjbNX { (on Ground)
[State -1]
type = ChangeState
value = 621
triggerall = stateno = 101
trigger1 = command = "down_c"

;---------------------------------------------------------------------------
; WvLbN Jump_X
[State -1]
type = ChangeState
value = 630
triggerall = command = "a"
triggerall = statetype = A
trigger1 = ctrl = 1
trigger1 = Pos Y < -50 
trigger2 = stateno = 101
trigger3 = stateno = 600

;---------------------------------------------------------------------------
; WvLbN Jump_Y
[State -1]
type = ChangeState
value = 640
triggerall = command = "b"
triggerall = statetype = A
trigger1 = ctrl = 1
trigger1 = Pos Y < -50 
trigger2 = stateno = 101
trigger3 = stateno = 600
trigger4 = stateno = 610
trigger5 = stateno = 630

;---------------------------------------------------------------------------
; WvLbN Jump_Z
[State -1]
type = ChangeState
value = 650
triggerall = command = "c"
triggerall = statetype = A
trigger1 = ctrl = 1
trigger1 = Pos Y < -50 
trigger2 = stateno = 600
trigger3 = stateno = 610
trigger4 = stateno = 620
trigger5 = stateno = 630
trigger6 = stateno = 640
trigger7 = stateno = 101

;---------------------------------------------------------------------------
; сij
[State -1]
type = ChangeState
value = 195
trigger1 = command = "s"
trigger1 = statetype = S
trigger1 = ctrl = 1

